Index: src/filterbank.c
===================================================================
--- src/filterbank.c	(revision 177f09a570a3e6338ed8d2d25b06f9fa67a079b3)
+++ src/filterbank.c	(revision aa83433f009764db68efd21803c54c9d8afe3089)
@@ -50,108 +50,4 @@
 
   return fb;
-}
-
-aubio_filterbank_t * new_aubio_filterbank_mfcc(uint_t n_filters, uint_t win_s, uint_t samplerate, smpl_t freq_min, smpl_t freq_max){
-  
-  smpl_t nyquist = samplerate/2.;
-  uint_t style = 1;
-  aubio_filterbank_t * fb = new_aubio_filterbank(n_filters, win_s);
-
-  uint_t n, i, k, *fft_peak, M, next_peak; 
-  smpl_t norm, mel_freq_max, mel_freq_min, norm_fact, height, inc, val, 
-         freq_bw_mel, *mel_peak, *height_norm, *lin_peak;
-
-  mel_peak = height_norm = lin_peak = NULL;
-  fft_peak = NULL;
-  norm = 1; 
-
-  mel_freq_max = 1127 * log(1 + freq_max / 700);
-  mel_freq_min = 1127 * log(1 + freq_min / 700);
-  freq_bw_mel = (mel_freq_max - mel_freq_min) / fb->n_filters;
-
-  mel_peak = (smpl_t *)malloc((fb->n_filters + 2) * sizeof(smpl_t)); 
-  /* +2 for zeros at start and end */
-  lin_peak = (smpl_t *)malloc((fb->n_filters + 2) * sizeof(smpl_t));
-  fft_peak = (uint_t *)malloc((fb->n_filters + 2) * sizeof(uint_t));
-  height_norm = (smpl_t *)malloc(fb->n_filters * sizeof(smpl_t));
-
-  if(mel_peak == NULL || height_norm == NULL || 
-      lin_peak == NULL || fft_peak == NULL)
-    return NULL;
-
-  M = fb->win_s >> 1;
-
-  mel_peak[0] = mel_freq_min;
-  lin_peak[0] = 700 * (exp(mel_peak[0] / 1127) - 1);
-  fft_peak[0] = lin_peak[0] / nyquist * M;
-
-  for (n = 1; n <= fb->n_filters; n++){  
-    /*roll out peak locations - mel, linear and linear on fft window scale */
-    mel_peak[n] = mel_peak[n - 1] + freq_bw_mel;
-    lin_peak[n] = 700 * (exp(mel_peak[n] / 1127) -1);
-    fft_peak[n] = lin_peak[n] / nyquist * M;
-  }
-
-  for (n = 0; n < fb->n_filters; n++){
-    /*roll out normalised gain of each peak*/
-    if (style == USE_EQUAL_GAIN){
-      height = 1; 
-      norm_fact = norm;
-    }
-    else{
-      height = 2 / (lin_peak[n + 2] - lin_peak[n]);
-      norm_fact = norm / (2 / (lin_peak[2] - lin_peak[0]));
-    }
-    height_norm[n] = height * norm_fact;
-  }
-
-  i = 0;
-
-  for(n = 0; n < fb->n_filters; n++){
-
-    /*calculate the rise increment*/
-    if(n > 0)
-      inc = height_norm[n] / (fft_peak[n] - fft_peak[n - 1]);
-    else
-      inc = height_norm[n] / fft_peak[n];
-    val = 0;  
-
-    /*zero the start of the array*/
-    for(k = 0; k < i; k++)
-      fb->filters[n]->data[0][k]=0.f;
-
-    /*fill in the rise */
-    for(; i <= fft_peak[n]; i++){ 
-      fb->filters[n]->data[0][k]=val;
-      val += inc;
-    }
-
-    /*calculate the fall increment */
-    inc = height_norm[n] / (fft_peak[n + 1] - fft_peak[n]);
-
-    val = 0;
-    next_peak = fft_peak[n + 1];
-
-    /*reverse fill the 'fall' */
-    for(i = next_peak; i > fft_peak[n]; i--){ 
-      fb->filters[n]->data[0][k]=val;
-      val += inc;
-    }
-
-    /*zero the rest of the array*/
-    for(k = next_peak + 1; k < fb->win_s; k++)
-      fb->filters[n]->data[0][k]=0.f;
-
-
-  }
-
-  free(mel_peak);
-  free(lin_peak);
-  free(height_norm);
-  free(fft_peak);
-
-
-  return fb;
-
 }
 
@@ -166,5 +62,5 @@
 */
 
-aubio_filterbank_t * new_aubio_filterbank_mfcc2(uint_t n_filters, uint_t win_s, uint_t samplerate, smpl_t freq_min, smpl_t freq_max){
+aubio_filterbank_t * new_aubio_filterbank_mfcc(uint_t n_filters, uint_t win_s, uint_t samplerate, smpl_t freq_min, smpl_t freq_max){
   
   aubio_filterbank_t * fb = new_aubio_filterbank(n_filters, win_s);
@@ -187,5 +83,4 @@
   fvec_t * center_freqs=new_fvec( allFilters, 1);
 
-  
   fvec_t * triangle_heights=new_fvec( allFilters, 1);
   //lookup table of each bin frequency in hz
@@ -202,5 +97,6 @@
   //second step: filling all the log filter frequencies
   for(filter_cnt=0; filter_cnt<logFilters+2; filter_cnt++){
-    freqs->data[0][filter_cnt+linearFilters]=lastlinearCF*(pow(logSpacing,filter_cnt+1));
+    freqs->data[0][filter_cnt+linearFilters] = 
+      lastlinearCF*(pow(logSpacing,filter_cnt+1));
   }
 
@@ -214,15 +110,16 @@
   }
 
-
   //computing triangle heights so that each triangle has unit area
   for(filter_cnt=0; filter_cnt<allFilters; filter_cnt++){
-    triangle_heights->data[0][filter_cnt]=2./(upper_freqs->data[0][filter_cnt]-lower_freqs->data[0][filter_cnt]);
-  }
-  
-  
-  //AUBIO_DBG
-  AUBIO_DBG("filter tables frequencies\n");
-  for(filter_cnt=0; filter_cnt<allFilters; filter_cnt++)
-    AUBIO_DBG("filter n. %d %f %f %f %f\n",filter_cnt, lower_freqs->data[0][filter_cnt], center_freqs->data[0][filter_cnt], upper_freqs->data[0][filter_cnt], triangle_heights->data[0][filter_cnt]);
+    triangle_heights->data[0][filter_cnt] = 2./(upper_freqs->data[0][filter_cnt] 
+      - lower_freqs->data[0][filter_cnt]);
+  }
+  
+  //AUBIO_DBG("filter tables frequencies\n");
+  //for(filter_cnt=0; filter_cnt<allFilters; filter_cnt++)
+  //  AUBIO_DBG("filter n. %d %f %f %f %f\n",
+  //    filter_cnt, lower_freqs->data[0][filter_cnt], 
+  //    center_freqs->data[0][filter_cnt], upper_freqs->data[0][filter_cnt], 
+  //    triangle_heights->data[0][filter_cnt]);
 
   //filling the fft_freqs lookup table, which assigns the frequency in hz to each bin
@@ -239,14 +136,9 @@
     smpl_t riseInc= triangle_heights->data[0][filter_cnt]/(center_freqs->data[0][filter_cnt]-lower_freqs->data[0][filter_cnt]);
     
-
-    AUBIO_DBG("\nfilter %d",filter_cnt);
     //zeroing begining of filter
-    AUBIO_DBG("\nzero begin\n");
     for(bin_cnt=0; bin_cnt<win_s-1; bin_cnt++){
-      //zeroing beigining of array
       fb->filters[filter_cnt]->data[0][bin_cnt]=0.f;
-      AUBIO_DBG(".");
-      //AUBIO_DBG("%f %f %f\n", fft_freqs->data[0][bin_cnt], fft_freqs->data[0][bin_cnt+1], lower_freqs->data[0][filter_cnt]); 
-      if(fft_freqs->data[0][bin_cnt]<= lower_freqs->data[0][filter_cnt] && fft_freqs->data[0][bin_cnt+1]> lower_freqs->data[0][filter_cnt]){
+      if( fft_freqs->data[0][bin_cnt]  <= lower_freqs->data[0][filter_cnt] &&
+          fft_freqs->data[0][bin_cnt+1] > lower_freqs->data[0][filter_cnt]) {
         break;
       }
@@ -254,8 +146,6 @@
     bin_cnt++;
     
-    AUBIO_DBG("\npos slope\n");
     //positive slope
     for(; bin_cnt<win_s-1; bin_cnt++){
-      AUBIO_DBG(".");
       fb->filters[filter_cnt]->data[0][bin_cnt]=(fft_freqs->data[0][bin_cnt]-lower_freqs->data[0][filter_cnt])*riseInc;
       //if(fft_freqs->data[0][bin_cnt]<= center_freqs->data[0][filter_cnt] && fft_freqs->data[0][bin_cnt+1]> center_freqs->data[0][filter_cnt])
@@ -265,9 +155,6 @@
     //bin_cnt++;
     
-    
     //negative slope
-    AUBIO_DBG("\nneg slope\n");   
     for(; bin_cnt<win_s-1; bin_cnt++){
-      //AUBIO_DBG(".");
       
       //checking whether last value is less than 0...
@@ -284,8 +171,6 @@
     //bin_cnt++;
     
-    AUBIO_DBG("\nzero end\n");
     //zeroing tail
     for(; bin_cnt<win_s; bin_cnt++)
-      //AUBIO_DBG(".");
       fb->filters[filter_cnt]->data[0][bin_cnt]=0.f;
 
@@ -293,5 +178,4 @@
   
   
-
   del_fvec(freqs);
   del_fvec(lower_freqs);
Index: src/filterbank.h
===================================================================
--- src/filterbank.h	(revision 177f09a570a3e6338ed8d2d25b06f9fa67a079b3)
+++ src/filterbank.h	(revision aa83433f009764db68efd21803c54c9d8afe3089)
@@ -56,16 +56,4 @@
 aubio_filterbank_t * new_aubio_filterbank_mfcc(uint_t n_filters, uint_t win_s, uint_t samplerate, smpl_t freq_min, smpl_t freq_max);
 
-/** filterbank initialization for mel filters
-
-  \param n_filters number of filters
-  \param win_s window size
-  \param samplerate
-  \param freq_min lowest filter frequency
-  \param freq_max highest filter frequency
-
-*/
-aubio_filterbank_t * new_aubio_filterbank_mfcc_2(uint_t n_filters, uint_t win_s, uint_t samplerate, smpl_t freq_min, smpl_t freq_max);
-
-
 /** destroy filterbank object
 
@@ -80,9 +68,4 @@
 void aubio_filterbank_do(aubio_filterbank_t * fb, cvec_t * in, fvec_t *out);
 
-/** dump filterbank filter tables in a txt file
-
-*/
-void aubio_dump_filterbank(aubio_filterbank_t * fb);
-
 #ifdef __cplusplus
 }
